caoss.simulator.os

## Class FSOOS

- java.lang.Object
- - caoss.simulator.os.OperatingSystem
  - - caoss.simulator.os.FSOOS

-     public class FSOOS
      extends OperatingSystem

  The FSO Operating System class
  Author:
    Herve Paulino

- - ### Field Summary

    - ### Fields inherited from class caoss.simulator.os.OperatingSystem

      `OS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FSOOS()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DeviceDriver` | `getDriver(DeviceId deviceId)` Returns the driver of the device with the given identifier
    `InterruptHandler[]` | `getInterruptVector()` Retrieve the interrupt vector
    `Scheduler<?>` | `getScheduler()` Returns the Operating System's scheduler
    `void` | `load()` Load the operating system

    - ### Methods inherited from class caoss.simulator.os.OperatingSystem

      `decreaseNumberProcesses, getInstance, getNumberRunningProcess, getRunningProcess, getRunningProcess, increaseNumberProcesses, setRunningProcess`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FSOOS

          public FSOOS()

  - ### Method Detail

    - #### load

          public void load()

      Description copied from class: `OperatingSystem`
      Load the operating system
      Specified by:
        `load` in class `OperatingSystem`

    - #### getInterruptVector

          public InterruptHandler[] getInterruptVector()

      Description copied from class: `OperatingSystem`
      Retrieve the interrupt vector
      Specified by:
        `getInterruptVector` in class `OperatingSystem`
      Returns:
        The interrupt vector

    - #### getScheduler

          public Scheduler<?> getScheduler()

      Description copied from class: `OperatingSystem`
      Returns the Operating System's scheduler
      Specified by:
        `getScheduler` in class `OperatingSystem`
      Returns:
        The scheduler

    - #### getDriver

          public DeviceDriver getDriver(DeviceId deviceId)

      Description copied from class: `OperatingSystem`
      Returns the driver of the device with the given identifier
      Specified by:
        `getDriver` in class `OperatingSystem`
      Returns: